Subject: [os2genau_digest] No. 1834
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 11 Jul 2009 00:00:29 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Friday 10 July 2009
 Number  1834
**************************************************

Subjects for today
 
1  Re:  What a difference a clean install makes ! : Ed Durrant <edurrant at durrant dot mine dot nu>
2   Is xwpdaemn.exe really needed ? : Ed Durrant <edurrant at durrant dot mine dot nu>

**= Email   1 ==========================**

Date:  Fri, 10 Jul 2009 08:23:34 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  What a difference a clean install makes !

John Angelico wrote:
> On Thu, 09 Jul 2009 07:12:59 +1000 Ed Durrant wrote:
>   
>>
>> So I wiped an already installed eCS 2.0 RC6a partition and started 
>> fresh. It's taken sometime manually writing down the properties of my 
>> main wps objects from the eCS 2.0RC3 partition and then re-creating them 
>> on the RC6a partition 
>>     
>
> Argh! 
>
> Ed, if you had said that was what you had to do, I could have offered a
> labour-saving device from my boys here.
>
> They have created a small tool in Rexx using the WP Tools APIs to save
> object properties in a Rexx script, and then recreate objects by replaying
> the script.
>
> It's not polished, but does the job for the author :-)
>
> Chris says, it's mainly the concept of using WP Tools APIs to do the hard
> yakka. 
>
>   
  You know, I used to have a REXX routine back with OS/2 1.3 that did that as well. I couldn't find it, but there's also an option in object desktop (I think) that does something very similar. I have tried that previously without success. I really think the RC3 environment was so corrupted that there was no hope of being able to trust any automated process.

  Actually the re-creation of the program objects was not too bad as the RMB "create program object" is back in RC6a (it dissapeared on my system with some RCs).

Cheers/2

Ed.

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Fri, 10 Jul 2009 10:22:10 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:   Is xwpdaemn.exe really needed ?

Hi,

  I've taken a look at a few recent system hangs that I have had (ones 
where I could still get into CAD popup) and it seems that a lot of them 
are caused by xwpdaemn.exe - if I cancel that in TOP, I can go back to a 
running system. I wonder if it's possible to run eComStation without 
xwpdaemn.exe and keep the eCS modern "look and feel" ?

-- 
Cheers/2

Ed

Checkout my new (WIP) eComStation Australia Podcast 
- search for eComStation at iTunes or Podcastblaster dot com or add the RSS feed http://feeds2.feedburner dot com/eComStationAustralia to Thunderbird.

Don't miss the tenth Warpstock Europe at Stralsund 12-15 November 2009 check out - http://www.warpstock.eu for details.

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===